<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:TEI="http://www.tei-c.org/ns/1.0" version="1.0">
  <xsl:output method="html"/>
  
  <!-- Wurzelelement ansprechen und HTML-Gerüst bauen -->
  <xsl:template match="/">
    <html>
      <head>
        <title>Test</title>
      </head>
      <body>
        <p>
          <xsl:apply-templates/>
        </p>
      </body>
    </html>
  </xsl:template>
  
  
  <!-- Nur den TEI:text-Teil auswerten, Header ignorieren -->
  <xsl:template match="TEI:TEI">
    <xsl:apply-templates select="TEI:text"/>
  </xsl:template>

  <!-- Verlinkung der Gaijis erzeugen -->
  <xsl:template match="TEI:g">
    <xsl:variable name="glyph" select="substring-after(@ref, '#')"/>
    <xsl:variable name="image"
      select="/TEI:TEI/TEI:teiHeader/TEI:encodingDesc/TEI:charDecl/TEI:glyph[@xml:id=$glyph]/TEI:figure/TEI:graphic/@url |
      /TEI:TEI/TEI:teiHeader/TEI:encodingDesc/TEI:charDecl/TEI:char[@xml:id=$glyph]/TEI:figure/TEI:graphic/@url"/>
    <a href="{$image}">
      <xsl:value-of select="."/>
    </a>
  </xsl:template>
  
  <xsl:template match="TEI:lb">
    <br/>
  </xsl:template>

</xsl:stylesheet>
